Debian Bug report logs - #393837
epiphany-extensions: Unable to edit or delete certificates

version graph

Package: epiphany-gecko; Maintainer for epiphany-gecko is Josselin Mouette <joss@debian.org>;

Reported by: Sam Morris <sam@robots.org.uk>

Date: Wed, 18 Oct 2006 00:33:20 UTC

Severity: critical

Tags: help, security

Merged with 421332

Found in versions epiphany-browser/2.22.2-2, epiphany-browser/2.22.1.1-1

Fixed in versions epiphany-browser/2.22.3-6, epiphany-browser/2.14.3-8

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=165808

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#393837; Package epiphany-extensions. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: epiphany-extensions: Unable to edit or delete certificates
Date: Wed, 18 Oct 2006 01:06:01 +0100
Package: epiphany-extensions
Version: 2.14.1.1-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The certificate manager extension is currently unusable. The OK and
Cancel buttons in the Edit Certificate dialog do nothing, and the Delete
Certificate dialog contains no text, only similarly non-functional OK
and Cancel buttons.

- -- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (530, 'testing'), (520, 'unstable'), (510, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages epiphany-extensions depends on:
ii  epiphany-browser             2.14.3-2    Intuitive GNOME web browser
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-13  GCC support library
ii  libnspr4-0d                  1.8.0.7-1   NetScape Portable Runtime Library
ii  libosp5                      1.5.2-3     Runtime library for OpenJade group
ii  libpcre3                     6.7-1       Perl 5 Compatible Regular Expressi
ii  libxul0d                     1.8.0.7-1   Gecko engine library
ii  python-gnome2                2.12.4-5    Python bindings for the GNOME desk
ii  python-gtk2                  2.8.6-6     Python bindings for the GTK+ widge
ii  sgml-data                    2.0.3       common SGML and XML data
ii  w3c-dtd-xhtml                1.1-5       W3C eXtensible HyperText Markup La

epiphany-extensions recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNW/pshl/216gEHgRAlbMAKDRjS4ou+4hP2qbb6Oc9mptvGCYUQCePtmz
3RDJFD5ZTJIw2QQw9ZMWLWI=
=v8iu
-----END PGP SIGNATURE-----



Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=165808. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 393837 421332. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Mon, 11 Feb 2008 12:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-extensions. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #14 received at 393837@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 393837@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Raising severity
Date: Thu, 15 May 2008 08:02:07 +0100
[Message part 1 (text/plain, inline)]
This bug now prevents the removal of known compromised key(s) involved
in the recent openssh problems.

http://lists.debian.org/debian-security-announce/2008/msg00152.html

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Severity set to `critical' from `important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 15 May 2008 07:06:02 GMT) Full text and rfc822 format available.

Tags added: security Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 15 May 2008 07:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-extensions. Full text and rfc822 format available.

Acknowledgement sent to 393837@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #23 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Neil Williams <codehelp@debian.org>, 393837@bugs.debian.org
Cc: debian-devel <debian-devel@lists.debian.org>
Subject: Re: Bug#393837: Raising severity
Date: Tue, 10 Jun 2008 21:55:06 +0200
[Message part 1 (text/plain, inline)]
tag 393837 + help
thanks

Le jeudi 15 mai 2008 à 08:02 +0100, Neil Williams a écrit :
> This bug now prevents the removal of known compromised key(s) involved
> in the recent openssh problems.
> 
> http://lists.debian.org/debian-security-announce/2008/msg00152.html

It seems that the solution to this issue is to add an implementation of
nsIWindowCreator[0] to epiphany.

This should not be too complicated for a C++ developer taking
inspiration in the rest of the implementation (in embed/mozilla/*.cpp),
especially for someone familiar with Gecko. As I’m not very familiar
with C++, I’m not sure to find the time to do it soon, so it would be
very nice if someone could give a hand and provide even the beginning of
an implementation.

[0] http://developer.mozilla.org/en/docs/nsIWindowCreator

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 10 Jun 2008 20:09:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `epiphany-extensions' to `epiphany-gecko'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 10 Jun 2008 20:09:07 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.22.1.1-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 10 Jun 2008 20:09:08 GMT) Full text and rfc822 format available.

Blocking bugs of 485657 added: 393837 and 421332 Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Tue, 10 Jun 2008 20:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#393837; Package epiphany-gecko. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #36 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 393837@bugs.debian.org
Subject: Re: Bug#393837: Raising severity
Date: Wed, 18 Jun 2008 00:22:46 +0200
[Message part 1 (text/plain, inline)]
Le mardi 10 juin 2008 à 21:55 +0200, Josselin Mouette a écrit :
> It seems that the solution to this issue is to add an implementation of
> nsIWindowCreator[0] to epiphany.

After a very painful analysis, it seems this first idea was completely
wrong. We now suspect the parameters that should be transmitted from one
chrome window to another are dropped because of either a bug in
gtkmozembed itself or in the permissions manager (which is an additional
layer in Gecko to separate the UI from the content, made necessary as
the Mozilla developers made a big fuzz about using the same toolkit for
both, without understanding even now that it is a dead end).

I’m afraid that anyone willing to fix this needs to prepare for long,
sleepless nights and losing SAN points while looking at the code.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Fri, 24 Oct 2008 22:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damián Viano <des@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 24 Oct 2008 22:00:02 GMT) Full text and rfc822 format available.

Message #41 received at 393837@bugs.debian.org (full text, mbox):

From: Damián Viano <des@debian.org>
To: 393837@bugs.debian.org
Subject: Some more info on the lost parameters
Date: Fri, 24 Oct 2008 19:56:44 -0200
So, after the same very painful analysis Joss went through I leave here
some details about this.

The problem seems to be in:

/usr/lib/xulrunner-1.9/chrome/pippki.jar

which curiously enough is the same file Iceweasel uses and works ok
there so the real problem is obviously not in that file but somewhere
related, as Joss explained already.

The symptom however is displayed in files from that archive, namely:

the parameters passed from deleteCerts() which is in
content/pippki/certManager.js to the onLoad() function of
content/pippki/deletecert.js invoked by deleteCerts() while displaying 
content/deletecert.xul are lost somewhere in the way.

The amazing thing is that no other dialog seems affected by this, not
even calling them from the same deleteCerts() function.

I think we might need a hand from upstream here, since looks like a
tough bug.

	I hope this adds a little,
	Damián Viano(Des).




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 08:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 28 Oct 2008 08:24:11 GMT) Full text and rfc822 format available.

Message #46 received at 393837@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: 393837@bugs.debian.org
Subject: More informations..
Date: Tue, 28 Oct 2008 10:17:58 +0200
	Hi all !

The issue can be isolated in this line:
  window.openDialog('chrome://pippki/content/deletecert.xul', "",
                    'chrome,centerscreen,modal', params);

in certManager.js.

If you remove this line, and comment the next if, then you simply remove the 
confirmation box. Could be a workaround perhaps if nothing better can be 
find ?

If you remove from the file delecert.js everything related to gParams, then it 
works, but does nothing.

I'm strongly suspecting some sort of javascript failure, related to the 
gParams variable, but, as usual, it really lacks a good damn javascript 
debugging console.

Romain




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 393837@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 28 Oct 2008 08:48:05 GMT) Full text and rfc822 format available.

Message #51 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Romain Beauxis <toots@rastageeks.org>, 393837@bugs.debian.org
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 09:44:49 +0100
[Message part 1 (text/plain, inline)]
Le mardi 28 octobre 2008 à 10:17 +0200, Romain Beauxis a écrit :
> 	Hi all !
> 
> The issue can be isolated in this line:
>   window.openDialog('chrome://pippki/content/deletecert.xul', "",
>                     'chrome,centerscreen,modal', params);
> 
> in certManager.js.
> 
> If you remove this line, and comment the next if, then you simply remove the 
> confirmation box. Could be a workaround perhaps if nothing better can be 
> find ?
> 
> If you remove from the file delecert.js everything related to gParams, then it 
> works, but does nothing.
> 
> I'm strongly suspecting some sort of javascript failure, related to the 
> gParams variable, but, as usual, it really lacks a good damn javascript 
> debugging console.

Yes, the params are correctly passed to the chrome dialog, but they are
removed by some later call in the stack. The window is probably missing
permissions to obtain them but I don’t know how it should get them. As
this happens for all gtkmozembed applications I suspect this is
something gtkmozembed should do.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 09:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 28 Oct 2008 09:09:07 GMT) Full text and rfc822 format available.

Message #56 received at 393837@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 393837@bugs.debian.org
Cc: Romain Beauxis <toots@rastageeks.org>
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 10:05:04 +0100
On Tue, Oct 28, 2008 at 09:44:49AM +0100, Josselin Mouette <joss@debian.org> wrote:
> Le mardi 28 octobre 2008 à 10:17 +0200, Romain Beauxis a écrit :
> > 	Hi all !
> > 
> > The issue can be isolated in this line:
> >   window.openDialog('chrome://pippki/content/deletecert.xul', "",
> >                     'chrome,centerscreen,modal', params);
> > 
> > in certManager.js.
> > 
> > If you remove this line, and comment the next if, then you simply remove the 
> > confirmation box. Could be a workaround perhaps if nothing better can be 
> > find ?
> > 
> > If you remove from the file delecert.js everything related to gParams, then it 
> > works, but does nothing.
> > 
> > I'm strongly suspecting some sort of javascript failure, related to the 
> > gParams variable, but, as usual, it really lacks a good damn javascript 
> > debugging console.
> 
> Yes, the params are correctly passed to the chrome dialog, but they are
> removed by some later call in the stack. The window is probably missing
> permissions to obtain them but I don’t know how it should get them. As
> this happens for all gtkmozembed applications I suspect this is
> something gtkmozembed should do.

It's either a gtkmozembed bug or a embedding bug, where the js context
for the windows doesn't do the right thing. The problem is: we don't know,
upstream doesn't know, and mozilla doesn't (seem to) care.

I'd say the best thing to do for epiphany would be to *not* use the
xul cert manager, but have its own native one, calling the proper
components. But this doesn't look like a solution that can be ready for
Lenny.

So maybe all we can do in the end is probably to use the workaround.
The problem with doing the workaround on xulrunner's end is that it will
also change behaviour in iceweasel, which is not really expected...

Mike




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Tue, 28 Oct 2008 09:57:11 GMT) Full text and rfc822 format available.

Message #61 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Mike Hommey <mh@glandium.org>, 393837@bugs.debian.org
Cc: Romain Beauxis <toots@rastageeks.org>
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 10:32:44 +0100
[Message part 1 (text/plain, inline)]
Le mardi 28 octobre 2008 à 10:05 +0100, Mike Hommey a écrit :
> > Le mardi 28 octobre 2008 à 10:17 +0200, Romain Beauxis a écrit :
> > > If you remove this line, and comment the next if, then you simply remove the 
> > > confirmation box. Could be a workaround perhaps if nothing better can be 
> > > find ?

> So maybe all we can do in the end is probably to use the workaround.
> The problem with doing the workaround on xulrunner's end is that it will
> also change behaviour in iceweasel, which is not really expected...

Idea #1: use the confirm() Javascript function instead.

Idea #2: for epiphany, provide a certManager2.xul that has the changes
so that Iceweasel is not affected.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 10:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Tue, 28 Oct 2008 10:12:09 GMT) Full text and rfc822 format available.

Message #66 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 393837@bugs.debian.org, Romain Beauxis <toots@rastageeks.org>
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 10:40:29 +0100
[Message part 1 (text/plain, inline)]
Le mardi 28 octobre 2008 à 10:36 +0100, Mike Hommey a écrit :
> > Idea #1: use the confirm() Javascript function instead.
> > 
> > Idea #2: for epiphany, provide a certManager2.xul that has the changes
> > so that Iceweasel is not affected.
> 
> Idea #3: override certManager.xul with a custom version in epiphany.

That’s almost the same as #2, I don’t have a problem with that. How
should it be shipped? A .jar and a .manifest
in /usr/share/xulrunner-1.9/chrome ?

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 28 Oct 2008 10:18:04 GMT) Full text and rfc822 format available.

Message #71 received at 393837@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Josselin Mouette <joss@debian.org>
Cc: 393837@bugs.debian.org, Romain Beauxis <toots@rastageeks.org>
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 10:48:50 +0100
On Tue, Oct 28, 2008 at 10:40:29AM +0100, Josselin Mouette <joss@debian.org> wrote:
> Le mardi 28 octobre 2008 à 10:36 +0100, Mike Hommey a écrit :
> > > Idea #1: use the confirm() Javascript function instead.
> > > 
> > > Idea #2: for epiphany, provide a certManager2.xul that has the changes
> > > so that Iceweasel is not affected.
> > 
> > Idea #3: override certManager.xul with a custom version in epiphany.
> 
> That’s almost the same as #2, I don’t have a problem with that. How
> should it be shipped? A .jar and a .manifest
> in /usr/share/xulrunner-1.9/chrome ?

Take a look at /usr/share/epiphany-browser/chrome/app-chrome.manifest

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Tue, 28 Oct 2008 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 28 Oct 2008 10:24:03 GMT) Full text and rfc822 format available.

Message #76 received at 393837@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Josselin Mouette <joss@debian.org>
Cc: 393837@bugs.debian.org, Romain Beauxis <toots@rastageeks.org>
Subject: Re: Bug#393837: More informations..
Date: Tue, 28 Oct 2008 10:36:31 +0100
On Tue, Oct 28, 2008 at 10:32:44AM +0100, Josselin Mouette <joss@debian.org> wrote:
> Le mardi 28 octobre 2008 à 10:05 +0100, Mike Hommey a écrit :
> > > Le mardi 28 octobre 2008 à 10:17 +0200, Romain Beauxis a écrit :
> > > > If you remove this line, and comment the next if, then you simply remove the 
> > > > confirmation box. Could be a workaround perhaps if nothing better can be 
> > > > find ?
> 
> > So maybe all we can do in the end is probably to use the workaround.
> > The problem with doing the workaround on xulrunner's end is that it will
> > also change behaviour in iceweasel, which is not really expected...
> 
> Idea #1: use the confirm() Javascript function instead.
> 
> Idea #2: for epiphany, provide a certManager2.xul that has the changes
> so that Iceweasel is not affected.

Idea #3: override certManager.xul with a custom version in epiphany.

Mike




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 28 Oct 2008 11:54:04 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Tue, 28 Oct 2008 11:54:04 GMT) Full text and rfc822 format available.

Message #81 received at 393837-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 393837-close@bugs.debian.org
Subject: Bug#393837: fixed in epiphany-browser 2.22.3-6
Date: Tue, 28 Oct 2008 11:47:06 +0000
Source: epiphany-browser
Source-Version: 2.22.3-6

We believe that the bug you reported is fixed in the latest version of
epiphany-browser, which is due to be installed in the Debian FTP archive:

epiphany-browser-data_2.22.3-6_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-data_2.22.3-6_all.deb
epiphany-browser-dbg_2.22.3-6_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dbg_2.22.3-6_amd64.deb
epiphany-browser-dev_2.22.3-6_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dev_2.22.3-6_all.deb
epiphany-browser_2.22.3-6.diff.gz
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-6.diff.gz
epiphany-browser_2.22.3-6.dsc
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-6.dsc
epiphany-browser_2.22.3-6_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser_2.22.3-6_all.deb
epiphany-gecko_2.22.3-6_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-gecko_2.22.3-6_amd64.deb
epiphany-webkit_2.22.3-6_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-webkit_2.22.3-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated epiphany-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Oct 2008 12:17:03 +0100
Source: epiphany-browser
Binary: epiphany-browser epiphany-gecko epiphany-webkit epiphany-browser-data epiphany-browser-dev epiphany-browser-dbg
Architecture: source amd64 all
Version: 2.22.3-6
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 epiphany-browser - Intuitive web browser - dummy package
 epiphany-browser-data - Data files for the GNOME web browser
 epiphany-browser-dbg - Debugging symbols for the GNOME web browser
 epiphany-browser-dev - Development files for the GNOME web browser
 epiphany-gecko - Intuitive GNOME web browser - Gecko version
 epiphany-webkit - Intuitive GNOME web browser - webkit version
Closes: 393837
Changes: 
 epiphany-browser (2.22.3-6) unstable; urgency=low
 .
   * The OMGWTFBBQ release.
   * debian/certManager.js: this is a custom version of certManager.js
     that doesn’t use deletecert.xul, which doesn’t work because of
     broken argument passing.
   * 21_chrome_certmanager.patch: override certManager.js with the custom
     version.
   * epiphany-browser-data.install: install it.
   * Closes: #393837. Thanks to Romain Beauxis and Mike Hommey.
Checksums-Sha1: 
 e450385d0e562f69c8c1fa44afce887c12d5438c 1994 epiphany-browser_2.22.3-6.dsc
 89e923af5f24ca92cc72eca8d0426afc9328a5d1 48309 epiphany-browser_2.22.3-6.diff.gz
 fe506132bd1d149d38325187fbef9a5d74ebfc5d 551292 epiphany-gecko_2.22.3-6_amd64.deb
 a8c1cda816e56f9c567f2d5e533b9136e3dcf315 382216 epiphany-webkit_2.22.3-6_amd64.deb
 9da41ee181fb7985b08678c4f35d3951044cb19f 3045924 epiphany-browser-dbg_2.22.3-6_amd64.deb
 5d3c52e469964b9b0257b9dc4c61acca1ed378f2 18062 epiphany-browser_2.22.3-6_all.deb
 c63e036f2e8132516fb4ef439f9e31a4d1278c30 6282764 epiphany-browser-data_2.22.3-6_all.deb
 542c02ca6fda1a6838137327ff8360daddc55f88 84870 epiphany-browser-dev_2.22.3-6_all.deb
Checksums-Sha256: 
 1a18c1e3c902d61f3c81dc021a479b933e9645d4edeeffb00ce81bd6147bd205 1994 epiphany-browser_2.22.3-6.dsc
 9659731eed2def577201ff174f656089660527407e3e93159522b81efc003ece 48309 epiphany-browser_2.22.3-6.diff.gz
 1e75c80a1aa504908a3b8fc5fe3db0d0e64047627aa81bdfe9afead913516ee3 551292 epiphany-gecko_2.22.3-6_amd64.deb
 e9c61f260d36cfec4c738fc45d2d7a0dc4435a7534ea2b9c4378138f46fa8c7f 382216 epiphany-webkit_2.22.3-6_amd64.deb
 2b4f91018d69e8affd42bee57d30159cc5c0b014f278fe2a8eaf2af37d226c10 3045924 epiphany-browser-dbg_2.22.3-6_amd64.deb
 a45c84e52c333f018d5687a3df39df376d1409cdaabfc7c384a547b531158851 18062 epiphany-browser_2.22.3-6_all.deb
 2fcd1b2fb283189625dfa615fb2862bb6ea9b7e8e52c65af9633fb8f6e214083 6282764 epiphany-browser-data_2.22.3-6_all.deb
 ffe686901cbee8cbb34d4e5f8db39e5cca0cfb02eb3f3dabd3629c8370f99d63 84870 epiphany-browser-dev_2.22.3-6_all.deb
Files: 
 d58bf46c4fc4b48eb778ff2e29612743 1994 gnome optional epiphany-browser_2.22.3-6.dsc
 4174ecb42942c61dac8262a6ed5bf057 48309 gnome optional epiphany-browser_2.22.3-6.diff.gz
 9adcc0208572e23708b71c631470aa27 551292 gnome optional epiphany-gecko_2.22.3-6_amd64.deb
 24b51efaf5081507b965306439abd2e0 382216 gnome optional epiphany-webkit_2.22.3-6_amd64.deb
 3a24f36744f094e4b0c2d5b8ef4466a5 3045924 gnome extra epiphany-browser-dbg_2.22.3-6_amd64.deb
 10f4741978cde750e65171d5d745201b 18062 gnome optional epiphany-browser_2.22.3-6_all.deb
 f934f5210f60bad39bcc55dd3db74616 6282764 gnome optional epiphany-browser-data_2.22.3-6_all.deb
 be0b20cd3eb988cc75d5d8a0f2d882e7 84870 devel optional epiphany-browser-dev_2.22.3-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJBvhHrSla4ddfhTMRAvCJAKCbCaFQ1MSsAKU9rODWKzClPg03CACglcvp
je61YVxVqRSv4YisEug3MDw=
=tbiW
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 28 Oct 2008 11:54:05 GMT) Full text and rfc822 format available.

Notification sent to Christine Spang <christine@debian.org>:
Bug acknowledged by developer. (Tue, 28 Oct 2008 11:54:05 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 04 Nov 2008 20:21:05 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Tue, 04 Nov 2008 20:21:08 GMT) Full text and rfc822 format available.

Message #91 received at 393837-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 393837-close@bugs.debian.org
Subject: Bug#393837: fixed in epiphany-browser 2.14.3-8
Date: Tue, 04 Nov 2008 19:52:22 +0000
Source: epiphany-browser
Source-Version: 2.14.3-8

We believe that the bug you reported is fixed in the latest version of
epiphany-browser, which is due to be installed in the Debian FTP archive:

epiphany-browser-dev_2.14.3-8_all.deb
  to pool/main/e/epiphany-browser/epiphany-browser-dev_2.14.3-8_all.deb
epiphany-browser_2.14.3-8.diff.gz
  to pool/main/e/epiphany-browser/epiphany-browser_2.14.3-8.diff.gz
epiphany-browser_2.14.3-8.dsc
  to pool/main/e/epiphany-browser/epiphany-browser_2.14.3-8.dsc
epiphany-browser_2.14.3-8_amd64.deb
  to pool/main/e/epiphany-browser/epiphany-browser_2.14.3-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated epiphany-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 28 Oct 2008 13:07:50 +0100
Source: epiphany-browser
Binary: epiphany-browser epiphany-browser-dev
Architecture: source amd64 all
Version: 2.14.3-8
Distribution: stable
Urgency: low
Maintainer: Jordi Mallach <jordi@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 epiphany-browser - Intuitive GNOME web browser
 epiphany-browser-dev - Development files for Epiphany web browser
Closes: 393837
Changes: 
 epiphany-browser (2.14.3-8) stable; urgency=low
 .
   * Backport changes from unstable.
   * debian/certManager.js: this is a custom version of certManager.js
     that doesn’t use deletecert.xul, which doesn’t work because of
     broken argument passing.
   * 21_chrome_certmanager.patch: override certManager.js with the custom
     version.
   * epiphany-browser.install: install it.
   * Closes: #393837. Thanks to Romain Beauxis and Mike Hommey.
Files: 
 077ec3382af60b930229c57ee723d9d3 2056 gnome optional epiphany-browser_2.14.3-8.dsc
 7cb5c573320237a9e5e469a7bde2ccc8 19342 gnome optional epiphany-browser_2.14.3-8.diff.gz
 12c4421d75c83bdfdde34a1d4f4a8070 153958 devel optional epiphany-browser-dev_2.14.3-8_all.deb
 0e54ce0fbc8a5b7b2880f57f3272ba40 4084678 gnome optional epiphany-browser_2.14.3-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJBxMHrSla4ddfhTMRAmuUAKCRd7n8TKL0JAMLRlvy4P8sIFXcMwCdFXTh
w7G8NY774HIX907d/uzofk0=
=5L7P
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 04 Nov 2008 20:21:10 GMT) Full text and rfc822 format available.

Notification sent to Christine Spang <christine@debian.org>:
Bug acknowledged by developer. (Tue, 04 Nov 2008 20:21:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Sat, 15 Nov 2008 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 15 Nov 2008 13:06:02 GMT) Full text and rfc822 format available.

Message #101 received at 393837@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 393837@bugs.debian.org
Subject: Re: epiphany-extensions: Unable to edit or delete certificates
Date: Sat, 15 Nov 2008 13:03:07 +0000
[Message part 1 (text/plain, inline)]
With xulrunner-1.9 version 1.9.0.3-1 and epiphany-gecko version 2.22.3-8
the certificate manager still acts very strangely.

The 'delete' button brings up a window that I've taken a screenshot of
and attached to this message.

In that window, the 'ok' button does nothing (does not even close the
window), and the 'cancel' button causes the selected certificate to be
deleted. The certificate is even deleted if I close the window via the
window manager's 'close' button, so there is no way to abort the
deleting of a certificate!

Should I re-open or file a new bug?

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[Screenshot-epiphany-browser.png (image/png, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Sat, 15 Nov 2008 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 15 Nov 2008 13:18:04 GMT) Full text and rfc822 format available.

Message #106 received at 393837@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 393837@bugs.debian.org
Subject: Re: epiphany-extensions: Unable to edit or delete certificates
Date: Sat, 15 Nov 2008 13:11:02 +0000
[Message part 1 (text/plain, inline)]
It is also not possible to view the details of a certificate
(screenshots attached).

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[Screenshot-Certificate Detail.png (image/png, inline)]
[Screenshot-Certificate Detail-1.png (image/png, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Sat, 15 Nov 2008 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 393837@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 15 Nov 2008 13:21:03 GMT) Full text and rfc822 format available.

Message #111 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 393837@bugs.debian.org
Subject: Re: Bug#393837: epiphany-extensions: Unable to edit or delete certificates
Date: Sat, 15 Nov 2008 14:19:01 +0100
[Message part 1 (text/plain, inline)]
Le samedi 15 novembre 2008 à 13:03 +0000, Sam Morris a écrit :
> With xulrunner-1.9 version 1.9.0.3-1 and epiphany-gecko version 2.22.3-8
> the certificate manager still acts very strangely.
> 
> The 'delete' button brings up a window that I've taken a screenshot of
> and attached to this message.
> 
> In that window, the 'ok' button does nothing (does not even close the
> window), and the 'cancel' button causes the selected certificate to be
> deleted. The certificate is even deleted if I close the window via the
> window manager's 'close' button, so there is no way to abort the
> deleting of a certificate!
> 
> Should I re-open or file a new bug?

Hmpfff, I can’t reproduce that but this reminds me of an issue I
encountered while testing the changes. There was some dark magic storing
a cached version of the .js file that I could never identify.

Does it happen with a brand new user account?

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Sat, 15 Nov 2008 13:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 15 Nov 2008 13:33:02 GMT) Full text and rfc822 format available.

Message #116 received at 393837@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 393837@bugs.debian.org
Subject: Re: Bug#393837: epiphany-extensions: Unable to edit or delete certificates
Date: Sat, 15 Nov 2008 13:30:31 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2008-11-15 at 14:19 +0100, Josselin Mouette wrote:
> Le samedi 15 novembre 2008 à 13:03 +0000, Sam Morris a écrit :
> > With xulrunner-1.9 version 1.9.0.3-1 and epiphany-gecko version 2.22.3-8
> > the certificate manager still acts very strangely.
> > 
> > The 'delete' button brings up a window that I've taken a screenshot of
> > and attached to this message.
> > 
> > In that window, the 'ok' button does nothing (does not even close the
> > window), and the 'cancel' button causes the selected certificate to be
> > deleted. The certificate is even deleted if I close the window via the
> > window manager's 'close' button, so there is no way to abort the
> > deleting of a certificate!
> > 
> > Should I re-open or file a new bug?
> 
> Hmpfff, I can’t reproduce that but this reminds me of an issue I
> encountered while testing the changes. There was some dark magic storing
> a cached version of the .js file that I could never identify.
> 
> Does it happen with a brand new user account?

Indeed it does not. Ye gods. :)

Looking at some of the obscurely named files in my profile, I see a lot
of chrome URLs with suspicious names like
'chrome://pippki/content/editcerts.js' in XUL.mfasl.

Ok, I just made a copy of my profile and launched a new epiphany with
'epiphany -p --profile=/tmp/testprofile' and could not reproduce the
problem!

Then I restarted my regular copy of epiphany and the problem is now
gone. I thought I restarted epiphany after upgrading epiphany-gecko, but
maybe there was another window left open and minimised on another
workspace that I didn't notice, preventing it from actually quitting
when I closed its last window. :(

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#393837; Package epiphany-gecko. (Sat, 15 Nov 2008 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 393837@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 15 Nov 2008 13:48:02 GMT) Full text and rfc822 format available.

Message #121 received at 393837@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sam Morris <sam@robots.org.uk>, 393837@bugs.debian.org
Subject: Re: Bug#393837: epiphany-extensions: Unable to edit or delete certificates
Date: Sat, 15 Nov 2008 14:45:25 +0100
[Message part 1 (text/plain, inline)]
Le samedi 15 novembre 2008 à 13:30 +0000, Sam Morris a écrit :
> > Does it happen with a brand new user account?
> 
> Indeed it does not. Ye gods. :)
> 
> Looking at some of the obscurely named files in my profile, I see a lot
> of chrome URLs with suspicious names like
> 'chrome://pippki/content/editcerts.js' in XUL.mfasl.

Ah, this must be the thing.

> Ok, I just made a copy of my profile and launched a new epiphany with
> 'epiphany -p --profile=/tmp/testprofile' and could not reproduce the
> problem!
> 
> Then I restarted my regular copy of epiphany and the problem is now
> gone. I thought I restarted epiphany after upgrading epiphany-gecko, but
> maybe there was another window left open and minimised on another
> workspace that I didn't notice, preventing it from actually quitting
> when I closed its last window. :(

No, there is some fucking caching of SYSTEM FILES that remains even
after closing all windows.

I’m somehow reassured that this is “only” this issue…

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Dec 2008 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:14:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.